# $Revision: 1.3 $, $Date: 2003/01/19 12:48:39 $
#
# Conditional build:
# _without_dist_kernel - build package with own kernel headers/source
#
%define	ver	5.1
%define	sver	1
Summary:	S.M.A.R.T. control and monitoring of ATA/SCSI harddisks
Summary(pl):	Monitorowanie i kontrola dyskw uywaj S.M.A.R.T
Name:		smartmontools
Version:	%{ver}_%{sver}
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://prdownloads.sourceforge.net/smartmontools/%{name}-%{ver}-%{sver}.tar.gz
Source1:	%{name}.init
URL:		http://smartmontools.sourceforge.net/
Prereq:		/sbin/chkconfig
%{!?_without_dist_kernel:BuildRequires:         kernel-headers }
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	smartctl
Obsoletes:	ucsc-smartsuite
Obsoletes:	smartsuite

%description
The smartmontools package contains two utility programs (smartctl and
smartd) to control and monitor storage systems using the
Self-Monitoring, Analysis and Reporting Technology System (S.M.A.R.T.)
built into most modern ATA and SCSI hard disks. It is derived from the
smartsuite package, and includes support for ATA/ATAPI-5 disks.

%description -l pl
Pakiet zawiera dwa programy (smartctl oraz smartd) do kontroli i
monitorowania systemw przechowywania danych za pomoc S.M.A.R.T -
systemu wbudowanego w wikszo nowych dyskw ATA oraz SCSI. Pakiet
pochodzi od oprogramowania smartsuite i wspiera dyski ATA/ATAPI-5.

%prep
%setup -q -n %{name}-%{ver}-%{sver}

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags} -fsigned-char -DLINUX"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/smartd
install smartd smartctl $RPM_BUILD_ROOT%{_sbindir}
install smartd.8 smartctl.8 $RPM_BUILD_ROOT%{_mandir}/man8

sed -e 's#^/dev/#\#/dev/#g' smartd.conf > $RPM_BUILD_ROOT%{_sysconfdir}/smartd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smartd
if [ -f /var/lock/subsys/smartd ]; then
        /etc/rc.d/init.d/smartd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/smartd start\" to start smartd service."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/smartd ]; then
                /etc/rc.d/init.d/smartd stop 1>&2
        fi
        /sbin/chkconfig --del smartd
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/smartd
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/*.conf
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smartmontools.spec,v $
Revision 1.3  2003/01/19 12:48:39  areq
- up to 5.1-1

Revision 1.2  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.1  2002/10/30 14:06:53  misiek
- initial pld release

